Package ru.bitel.bgbilling.modules.inet.common.bean

# Class InetServType

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
ru.bitel.oss.kernel.entity.common.bean.Entity
ru.bitel.bgbilling.modules.inet.common.bean.InetServType

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class InetServType extends Entity

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `SESSION_INITIATION_AUTO`
  `static final int`
  `SESSION_INITIATION_CALL`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InetServType()`
  `InetServType(int id, String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InetAddressType`
  `getAddressType()`
  `String`
  `getConfig()`
  `String`
  `getData()`
  `Set<Integer>`
  `getDeviceGroupIds()`
  `Set<Integer>`
  `getDeviceTypeIds()`
  `Set<Integer>`
  `getParentTypeIds()`
  `int`
  `getSessionCountLimit()`
  `int`
  `getSessionInitiationType()`
  `int`
  `getTrafficTypeLinkId()`
  `boolean`
  `isAddressAllInterface()`
  `boolean`
  `isIpFromParentRange()`
  `boolean`
  `isNeedContractObject()`
  `boolean`
  `isNeedDevice()`
  `boolean`
  `isNeedIdentifier()`
  `boolean`
  `isNeedInterface()`
  `boolean`
  `isNeedLogin()`
  `boolean`
  `isNeedMacAddress()`
  `boolean`
  `isNeedRestriction()`
  `boolean`
  `isNeedVlan()`
  `boolean`
  `isNullVlan()`
  `boolean`
  `isPersonalInterface()`
  `boolean`
  `isPersonalVlan()`
  `boolean`
  `isSessionCountLimitLock()`
  `void`
  `setAddressAllInterface(boolean addressAllInterface)`
  `void`
  `setAddressType(InetAddressType addressType)`
  `void`
  `setConfig(String config)`
  `void`
  `setData(String data)`
  `void`
  `setDeviceGroupIds(Set<Integer> deviceGroupIds)`
  `void`
  `setDeviceTypeIds(Set<Integer> deviceTypeIds)`
  `void`
  `setIpFromParentRange(boolean ipFromParentRange)`
  `void`
  `setNeedContractObject(boolean needContractObject)`
  `void`
  `setNeedDevice(boolean needDevice)`
  `void`
  `setNeedIdentifier(boolean needIdentifier)`
  `void`
  `setNeedInterface(boolean needPort)`
  `void`
  `setNeedLogin(boolean needLogin)`
  `void`
  `setNeedMacAddress(boolean needMacAddress)`
  `void`
  `setNeedRestriction(boolean needRestriction)`
  `void`
  `setNeedVlan(boolean needVlan)`
  `void`
  `setNullVlan(boolean nullVlan)`
  `void`
  `setParentTypeIds(Set<Integer> childrenServTypeIds)`
  `void`
  `setPersonalInterface(boolean personalInterface)`
  `void`
  `setPersonalVlan(boolean personalVlan)`
  `void`
  `setSessionCountLimit(int defaultSessionLimit)`
  `void`
  `setSessionCountLimitLock(boolean sessionCountLimitLock)`
  `void`
  `setSessionInitiationType(int sessionInitiationType)`
  `void`
  `setTrafficTypeLinkId(int trafficTypeLinkId)`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.Entity

  `copyTo, getEntityId, setEntityId`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `copyTo, getEntityAttributes, getEntitySpecId, setEntityAttributes, setEntitySpecId`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### SESSION_INITIATION_CALL

    public static final int SESSION_INITIATION_CALL
    See Also:
      - Constant Field Values

  - ### SESSION_INITIATION_AUTO

    public static final int SESSION_INITIATION_AUTO
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InetServType

    public InetServType()

  - ### InetServType

    public InetServType(int id, String title)

- ## Method Details

  - ### getDeviceTypeIds

    public Set<Integer> getDeviceTypeIds()

  - ### setDeviceTypeIds

    public void setDeviceTypeIds(Set<Integer> deviceTypeIds)

  - ### getDeviceGroupIds

    public Set<Integer> getDeviceGroupIds()

  - ### setDeviceGroupIds

    public void setDeviceGroupIds(Set<Integer> deviceGroupIds)

  - ### getTrafficTypeLinkId

    public int getTrafficTypeLinkId()

  - ### setTrafficTypeLinkId

    public void setTrafficTypeLinkId(int trafficTypeLinkId)

  - ### getSessionInitiationType

    public int getSessionInitiationType()

  - ### setSessionInitiationType

    public void setSessionInitiationType(int sessionInitiationType)

  - ### getSessionCountLimit

    public int getSessionCountLimit()

  - ### setSessionCountLimit

    public void setSessionCountLimit(int defaultSessionLimit)

  - ### isSessionCountLimitLock

    public boolean isSessionCountLimitLock()

  - ### setSessionCountLimitLock

    public void setSessionCountLimitLock(boolean sessionCountLimitLock)

  - ### getAddressType

    public InetAddressType getAddressType()

  - ### setAddressType

    public void setAddressType(InetAddressType addressType)

  - ### getData

    public String getData()

  - ### setData

    public void setData(String data)

  - ### isAddressAllInterface

    public boolean isAddressAllInterface()

  - ### setAddressAllInterface

    public void setAddressAllInterface(boolean addressAllInterface)

  - ### isNeedInterface

    public boolean isNeedInterface()

  - ### setNeedInterface

    public void setNeedInterface(boolean needPort)

  - ### isNeedVlan

    public boolean isNeedVlan()

  - ### setNeedVlan

    public void setNeedVlan(boolean needVlan)

  - ### isNeedLogin

    public boolean isNeedLogin()

  - ### setNeedLogin

    public void setNeedLogin(boolean needLogin)

  - ### isNeedDevice

    public boolean isNeedDevice()

  - ### setNeedDevice

    public void setNeedDevice(boolean needDevice)

  - ### isPersonalInterface

    public boolean isPersonalInterface()

  - ### setPersonalInterface

    public void setPersonalInterface(boolean personalInterface)

  - ### getParentTypeIds

    public Set<Integer> getParentTypeIds()

  - ### setParentTypeIds

    public void setParentTypeIds(Set<Integer> childrenServTypeIds)

  - ### getConfig

    public String getConfig()

  - ### setConfig

    public void setConfig(String config)

  - ### isPersonalVlan

    public boolean isPersonalVlan()

  - ### setPersonalVlan

    public void setPersonalVlan(boolean personalVlan)

  - ### isNullVlan

    public boolean isNullVlan()

  - ### setNullVlan

    public void setNullVlan(boolean nullVlan)

  - ### isNeedIdentifier

    public boolean isNeedIdentifier()

  - ### setNeedIdentifier

    public void setNeedIdentifier(boolean needIdentifier)

  - ### isNeedMacAddress

    public boolean isNeedMacAddress()

  - ### setNeedMacAddress

    public void setNeedMacAddress(boolean needMacAddress)

  - ### isNeedContractObject

    public boolean isNeedContractObject()

  - ### setNeedContractObject

    public void setNeedContractObject(boolean needContractObject)

  - ### isNeedRestriction

    public boolean isNeedRestriction()

  - ### setNeedRestriction

    public void setNeedRestriction(boolean needRestriction)

  - ### isIpFromParentRange

    public boolean isIpFromParentRange()

  - ### setIpFromParentRange

    public void setIpFromParentRange(boolean ipFromParentRange)